//
//  InterfaceController.swift
//  LifeCycle WatchKit Extension
//
//  Created by Wei-Meng Lee on 2/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    override init() {
        super.init()
        println("In the init initializer")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        println("In the awakeWithContext event")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        println("In the willActivate event")
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
        println("In the didDeactivate event")
    }

}
