//
//  InterfaceController.swift
//  Localization WatchKit Extension
//
//  Created by Wei-Meng Lee on 13/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    var recording = false
    
    @IBOutlet weak var button: WKInterfaceButton!
    
    @IBAction func btnClicked() {
        recording = !recording
        let buttonTitle: String
        if recording {
            buttonTitle = NSLocalizedString("ButtonTitleStop", comment: "Localized Title for Stop Recording button")
        } else {
            buttonTitle = NSLocalizedString("ButtonTitleStart", comment: "Localized Title for Start Recording button")
        }
        button.setTitle(buttonTitle)
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        //let buttonTitle = NSLocalizedString("ButtonTitleStart", comment: "Localized Title for Start Recording button")
        //button.setTitle(buttonTitle)
        
        /*
        let lang: String = NSLocale.preferredLanguages()[0] as! String
        if lang == "en" {
            button.setTitle("Start recording")
        } else {
            button.setTitle("开始录制")
        }
        */
        
        button.setTitle("Start recording")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
