//
//  InterfaceController.swift
//  Notifications WatchKit Extension
//
//  Created by Wei-Meng Lee on 22/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    @IBOutlet weak var label1: WKInterfaceLabel!
    @IBOutlet weak var label2: WKInterfaceLabel!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        label1.setText("")
        label2.setText("")
    }

    //---fired when a foreground action button in a location notification is tapped---
    override func handleActionWithIdentifier(identifier: String?, forLocalNotification localNotification: UILocalNotification) {
        handleButtons(identifier!)
    }
    
    //---fired when a foreground action button in a remote notification is tapped---
    override func handleActionWithIdentifier(identifier: String?, forRemoteNotification remoteNotification: [NSObject : AnyObject]) {
        var s = remoteNotification["gateclose"] as? String
        if s != nil {
            label1.setText("Gate Close: \(s!)")
        }        
        handleButtons(identifier!)
    }
    
    func handleButtons (btnIdentifier : String) {
        switch btnIdentifier {
        case "btnItinerary": label2.setText("Arriving in Los Angeles at 11:50AM")
        case "btnWeather": label2.setText("The weather in Los Angeles is 62 degrees")
        case "btnCancel": label2.setText("Please proceed to the gate immediately.")
        default:break
        }
    }
    
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
