//
//  NotificationController.swift
//  Notifications WatchKit Extension
//
//  Created by Wei-Meng Lee on 22/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class NotificationController: WKUserNotificationInterfaceController {

    @IBOutlet weak var image: WKInterfaceImage!
    @IBOutlet weak var lblBody: WKInterfaceLabel!
    @IBOutlet weak var lblGate: WKInterfaceLabel!
    @IBOutlet weak var lblTime: WKInterfaceLabel!
    
    override init() {
        // Initialize variables here.
        super.init()
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }
    
    override func didReceiveLocalNotification(localNotification: UILocalNotification, withCompletion completionHandler: ((WKUserNotificationInterfaceType) -> Void)) {
        // This method is called when a local notification needs to be presented.
        // Implement it if you use a dynamic notification interface.
        // Populate your dynamic notification interface as quickly as possible.
        //
        // After populating your dynamic notification interface call the completion block.
        completionHandler(.Custom)
    }
    
    override func didReceiveRemoteNotification(remoteNotification: [NSObject : AnyObject], withCompletion completionHandler: ((WKUserNotificationInterfaceType) -> Void)) {
        // This method is called when a remote notification needs to be presented.
        // Implement it if you use a dynamic notification interface.
        // Populate your dynamic notification interface as quickly as possible.
        //
        // After populating your dynamic notification interface call the completion block.

        //---insert a 10 seconds delay---
        //sleep(10)
        
        let alert = remoteNotification["aps"]!["alert"]! as! NSDictionary
        self.lblBody.setText(alert["body"]! as? String)
        
        if remoteNotification["status"] as! String == "Boarding" {
            self.image.setImageNamed("boarding")
        } else if remoteNotification["status"] as! String == "Delayed" {
            self.image.setImageNamed("info")
        }
        
        self.lblGate.setText("Gate: " + (remoteNotification["gate"] as! String))
        self.lblTime.setText("Boarding: " + (remoteNotification["time"] as!
            String))

        completionHandler(.Custom)
    }
    
}
