//
//  InterfaceController.swift
//  Tables WatchKit Extension
//
//  Created by Wei-Meng Lee on 6/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    @IBOutlet weak var tableView: WKInterfaceTable!   
    
    var fruits = [
        "Durian",
        "Pineapple",
        "Apple",
        "Orange",
        "Guava",
        "Peach",
        "Rambutan" ]
    
    override func table(table: WKInterfaceTable,
        didSelectRowAtIndex rowIndex: Int) {
        println(fruits[rowIndex])
    }
        
    func populateTableView() {
        tableView.setNumberOfRows(fruits.count,
            withRowType: "FruitsTableRowControllerID")
            
        for (index, value) in enumerate(fruits) {
            let row = tableView.rowControllerAtIndex(index) as!
                FruitsTableRowController
            row.label.setText(value)
            row.image.setImageNamed("fruit")
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        populateTableView()
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
