//
//  InterfaceController.swift
//  UINavigation WatchKit Extension
//
//  Created by Wei-Meng Lee on 4/3/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    override init() {
        super.init()
        println("1. In the init initializer")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        println("1. In the awakeWithContext event")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        println("1. In the willActivate event")
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
        println("1. In the didDeactivate event")
    }
    
    override func contextForSegueWithIdentifier(segueIdentifier: String) ->
        AnyObject? {
            if segueIdentifier == "hierarchical" {
                return ["segue": "hierarchical",
                    "data":"Passed through hierarchical navigation"]
            } else if segueIdentifier == "pagebased" {
                return ["segue": "pagebased",
                    "data": "Passed through page-based navigation"]
            } else {
                return ["segue": "", "data": ""]
            }
    }

}
