//
//  SecondInterfaceController.swift
//  UINavigation
//
//  Created by Wei-Meng Lee on 4/3/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class SecondInterfaceController: WKInterfaceController {

    @IBOutlet weak var label: WKInterfaceLabel!
    
    override init() {
        super.init()
        println("2. In the init initializer")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        var dict = context as? NSDictionary
        if dict != nil {
            var segue = dict!["segue"] as! String
            var data = dict!["data"] as! String
            self.label.setText(data)            
            if segue == "pagebased" {
                self.setTitle("Close")
            } else {
                self.setTitle("Back")
            }
        }
        
        println("2. In the awakeWithContext event")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        println("2. In the willActivate event")
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
        println("2. In the didDeactivate event")
    }

}
